Subject: Re: [bitcoin-dev] A Small Modification to Segwit

From: g <[email-masked]>
Date: Mon, 10 Apr 2017 20:39:32 -0600

Makes sense. I would love if GPUs were back as the main hashing tool.

However, we need to consider the environmental impact of mining, which currently consumes a quite exorbitant amount of energy. Any ideas on this front?

--
Garrett MacDonald
+1 720 515 2248
[email-masked]
GPG Key

On Apr 10, 2017, 12:17 PM -0600, Erik Aronesty <[email-masked]>, wrote:
> I own some miners, but realistically their end of life is what, 6 months from now if I'm lucky?    If we used difficulty ramps on two selected POW's, then the migration could be made smooth.   I don't think changing the POW would be very challenging.  Personally, I would absolutely love to be back in the business of buying GPU's instead of ASICs which are uniformly sketchy.   Does anyone *not* mine their own equipment before "shipping late" these days?
>
> Maybe sample a video game's GPU operations and try to develop a secure hash whose optimal implementation uses them in a similar ratio?   Ultimately, I think it would very challenging to find a POW that doesn't make a bad problem worse.  I understand that's why you suggested SHA3.
>
> Hopefully, the "nanometer race" we have will work more smoothly once the asicboost issue is resolved and competition can return to normal.   But "waiting things out" rarely seems to work in Bitcoin land.
>
>
>
>
>
>
> > On Mon, Apr 10, 2017 at 11:25 AM, g <[email-masked]> wrote:
> > > Erik,
> > >
> > > I completely agree that it will be in the long term interest of bitcoin to migrate, gradually, toward a commoditized POW away from the current mass centralization. There is a big problem here though: Hundreds of millions of dollars have been spent on the current algorithm, and will be a huge loss if this is not done slowly enough, and the miners who control the chain currently would likely never allow this change to happen.
> > >
> > > Do you have any ideas regarding how to mitigate the damage of such a change for the invested parties? Or even how we can make the change agreeable for them?
> > >
> > > Warm regards,
> > > Garrett
> > >
> > > --
> > > Garrett MacDonald
> > > +1 720 515 2248
> > > [email-masked]
> > > GPG Key
> > >
> > > On Apr 9, 2017, 2:16 PM -0600, Erik Aronesty via bitcoin-dev <[email-masked]>, wrote:
> > > > Curious: I'm not sure why a serious discussion of POW change is not on the table as a part of a longer-term roadmap.
> > > >
> > > > Done right, a ramp down of reliance on SHA-256 and a ramp-up on some of the proven, np-complete graph-theoretic or polygon manipulation POW would keep Bitcoin in commodity hardware and out of the hands of centralized manufacturing for many years.
> > > >
> > > > Clearly a level-playing field is critical to keeping centralization from being a "defining feature" of Bitcoin over the long term.   I've heard the term "level playing field" bandied about quite a bit.   And it seems to me that the risk of state actor control and botnet attacks is less than state-actor manipulation of specialized manufacturing of "SHA-256 forever" hardware.   Indeed, the reliance on a fairly simple hash seems less and less likely a "feature" and more of a baggage.
> > > >
> > > > Perhaps regular, high-consensus POW changes might even be *necessary* as a part of good maintenance of cryptocurrency in general.   Killing the existing POW, and using an as-yet undefined, but deployment-bit ready POW field to flip-flop between the current and the "next one" every 8 years or or so, with a ramp down beginning in the 7th year....  A stub function that is guaranteed to fail unless a new consensus POW is selected within 7 years.
> > > >
> > > > Something like that?
> > > >
> > > > Haven't thought about it *that* much, but I think the network would respond well to a well known cutover date.   This would enable rapid-response to quantum tech, or some other needed POW switch as well... because the mechanisms would be in-place and ready to switch as needed.
> > > >
> > > > Lots of people seem to panic over POW changes as "irresponsible", but it's only irresponsible if done irresponsibly.
> > > >
> > > >
> > > > > On Fri, Apr 7, 2017 at 9:48 PM, praxeology_guy via bitcoin-dev <[email-masked]> wrote:
> > > > > > Jimmy Song,
> > > > > >
> > > > > > Why would the actual end users of Bitcoin (the long term and short term owners of bitcoins) who run fully verifying nodes want to change Bitcoin policy in order to make their money more vulnerable to 51% attack?
> > > > > >
> > > > > > If anything, we would be making policy changes to prevent the use of patented PoW algorithms instead of making changes to enable them.
> > > > > >
> > > > > > Thanks,
> > > > > > Praxeology Guy
> > > > > >
> > > > > > _______________________________________________
> > > > > > bitcoin-dev mailing list
> > > > > > [email-masked]
> > > > > > https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
> > > > > >
> > > >
> > > > _______________________________________________
> > > > bitcoin-dev mailing list
> > > > [email-masked]
> > > > https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>